package com.nisum.learning.student.model;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.time.LocalDate;

@Getter
@Setter
@AllArgsConstructor
@Document
public class Student {
    @Id
    int id;
    String firstName;
    String lastName;
    LocalDate birthday;
    Mark marks;
    Address address;
    String email;
    String phone;
}
